# Generated from mixers-1.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name mixers

Name: rubygem-%{gem_name}
Version: 1.2.0
Release: 1%{?dist}
Summary: Collection of helpful mixin modules
License: Apache 2.0
URL: http://rubyworks.github.com/mixers
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(syckle)
# BuildRequires: rubygem(qed)
BuildArch: noarch

%description
Ruby Mixers is collection mixin modules for the Ruby programming language.
Mixers is a spin-off of Ruby Facets. When Ruby Facets scaled back to
extensions only project, it's mixin modules were gathered to create this new
project.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/PROFILE
%{gem_instdir}/VERSION
%{gem_libdir}
%{gem_instdir}/qed
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/HISTORY
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/test

%changelog
* Tue Apr 19 2022 mockbuilder - 1.2.0-1
- Initial package
